Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.reflect
Class InheritanceTree

    java.lang.Object
      ix.util.reflect.InheritanceTree

    public class InheritanceTree

extends java.lang.Object

A view of class-subclass relationships.

Field Summary
`(package private) MultiMap` | `classToSubclasses`
`(package private) java.util.Map` | `classToSuperclass`
`(package private) java.util.List` | `relevantClasses`

Constructor Summary
`InheritanceTree(java.util.List relevantClasses)`

Method Summary
`protected void` | `addSubclass(java.lang.Class superclass, java.lang.Class subclass)`
`protected void` | `assignRelevantSuperclasses(java.util.List classes)`
`void` | `clear()`
`java.util.List` | `getSubclasses(java.lang.Class c)`
`java.lang.Class` | `getSuperclass(java.lang.Class c)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### classToSuperclass

    java.util.Map classToSuperclass

### classToSubclasses

    MultiMap classToSubclasses

### relevantClasses

    java.util.List relevantClasses

Constructor Detail

### InheritanceTree

    public InheritanceTree(java.util.List relevantClasses)

Method Detail

### getSuperclass

    public java.lang.Class getSuperclass(java.lang.Class c)

### getSubclasses

    public java.util.List getSubclasses(java.lang.Class c)

### clear

    public void clear()

### assignRelevantSuperclasses

    protected void assignRelevantSuperclasses(java.util.List classes)

### addSubclass

    protected void addSubclass(java.lang.Class superclass,
                               java.lang.Class subclass)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD